Unable to login to http://localhost:8080/ after fresh install of Docker and Galaxy Windows 8

Hello,
I installed yesterday Docker on my Windows 8 PC. I use Norton360 antivirus.
I then installed Galaxy.
I start Galaxy as follows:
docker run -d -p 8080:80 -p 8021:21 -p 8022:22 bgruening/galaxy-stable
The container creates, I wait a few minutes and I can see the logs
I try to connect to Galaxy using Chrome throught the addresses http://localhost:8080/ and http://127.0.0.1:8080 - in both cases I get

This site can’t be reached

127.0.0.1 refused to connect.
ERR_CONNECTION_REFUSED

Can you let me know what do I need to do to be able to access my Galaxy?
Enclosed the logs.
Thanks !
George Weingart

$ docker logs -f awesome_elgamal
Enable Galaxy reports authentification
Checking /export…
Disable Galaxy Interactive Environments. Start with --privileged to enable IE’s.
Starting postgres
postgresql: started
Checking if database is up and running
Traceback (most recent call last):
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
psycopg2.errors.UndefinedTable: relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/bin/check_database.py”, line 25, in
query.count()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3669, in count
return self.from_self(col).scalar()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3393, in scalar
ret = self.one()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3360, in one
ret = self.one_or_none()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3329, in one_or_none
ret = list(self)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3405, in iter
return self._execute_and_instances(context)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3430, in _execute_and_instances
result = conn.execute(querycontext.statement, self._params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 984, in execute
return meth(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py”, line 293, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1103, in _execute_clauseelement
distilled_params,
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1288, in execute_context
e, statement, parameters, cursor, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1482, in handle_dbapi_exception
sqlalchemy_exception, with_traceback=exc_info[2], from
=e
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py”, line 178, in raise

raise exception
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedTable) relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

[SQL: SELECT count(*) AS count_1
FROM (SELECT galaxy_user.id AS galaxy_user_id, galaxy_user.create_time AS galaxy_user_create_time, galaxy_user.update_time AS galaxy_user_update_time, galaxy_user.email A
S galaxy_user_email, galaxy_user.username AS galaxy_user_username, galaxy_user.password AS galaxy_user_password, galaxy_user.last_password_change AS galaxy_user_last_pass
word_change, galaxy_user.external AS galaxy_user_external, galaxy_user.form_values_id AS galaxy_user_form_values_id, galaxy_user.deleted AS galaxy_user_deleted, galaxy_us
er.purged AS galaxy_user_purged, galaxy_user.disk_usage AS galaxy_user_disk_usage, galaxy_user.active AS galaxy_user_active, galaxy_user.activation_token AS galaxy_user_a
ctivation_token
FROM galaxy_user
WHERE galaxy_user.email = %(email_1)s) AS anon_1]
[parameters: {‘email_1’: ‘admin@galaxy.org’}]
(Background on this error at: http://sqlalche.me/e/f405)
Waiting for database
Traceback (most recent call last):
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
psycopg2.errors.UndefinedTable: relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/bin/check_database.py”, line 25, in
query.count()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3669, in count
return self.from_self(col).scalar()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3393, in scalar
ret = self.one()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3360, in one
ret = self.one_or_none()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3329, in one_or_none
ret = list(self)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3405, in iter
return self._execute_and_instances(context)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3430, in _execute_and_instances
result = conn.execute(querycontext.statement, self._params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 984, in execute
return meth(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py”, line 293, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1103, in _execute_clauseelement
distilled_params,
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1288, in execute_context
e, statement, parameters, cursor, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1482, in handle_dbapi_exception
sqlalchemy_exception, with_traceback=exc_info[2], from
=e
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py”, line 178, in raise

raise exception
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedTable) relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

[SQL: SELECT count(*) AS count_1
FROM (SELECT galaxy_user.id AS galaxy_user_id, galaxy_user.create_time AS galaxy_user_create_time, galaxy_user.update_time AS galaxy_user_update_time, galaxy_user.email A
S galaxy_user_email, galaxy_user.username AS galaxy_user_username, galaxy_user.password AS galaxy_user_password, galaxy_user.last_password_change AS galaxy_user_last_pass
word_change, galaxy_user.external AS galaxy_user_external, galaxy_user.form_values_id AS galaxy_user_form_values_id, galaxy_user.deleted AS galaxy_user_deleted, galaxy_us
er.purged AS galaxy_user_purged, galaxy_user.disk_usage AS galaxy_user_disk_usage, galaxy_user.active AS galaxy_user_active, galaxy_user.activation_token AS galaxy_user_a
ctivation_token
FROM galaxy_user
WHERE galaxy_user.email = %(email_1)s) AS anon_1]
[parameters: {‘email_1’: ‘admin@galaxy.org’}]
(Background on this error at: http://sqlalche.me/e/f405)
Waiting for database
Traceback (most recent call last):
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
psycopg2.errors.UndefinedTable: relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/bin/check_database.py”, line 25, in
query.count()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3669, in count
return self.from_self(col).scalar()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3393, in scalar
ret = self.one()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3360, in one
ret = self.one_or_none()
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3329, in one_or_none
ret = list(self)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3405, in iter
return self._execute_and_instances(context)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py”, line 3430, in _execute_and_instances
result = conn.execute(querycontext.statement, self._params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 984, in execute
return meth(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py”, line 293, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1103, in _execute_clauseelement
distilled_params,
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1288, in execute_context
e, statement, parameters, cursor, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1482, in handle_dbapi_exception
sqlalchemy_exception, with_traceback=exc_info[2], from
=e
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py”, line 178, in raise

raise exception
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1248, in _execute_context
cursor, statement, parameters, context
File “/galaxy_venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 590, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedTable) relation “galaxy_user” does not exist
LINE 3: FROM galaxy_user
^

[SQL: SELECT count(*) AS count_1
FROM (SELECT galaxy_user.id AS galaxy_user_id, galaxy_user.create_time AS galaxy_user_create_time, galaxy_user.update_time AS galaxy_user_update_time, galaxy_user.email A
S galaxy_user_email, galaxy_user.username AS galaxy_user_username, galaxy_user.password AS galaxy_user_password, galaxy_user.last_password_change AS galaxy_user_last_pass
word_change, galaxy_user.external AS galaxy_user_external, galaxy_user.form_values_id AS galaxy_user_form_values_id, galaxy_user.deleted AS galaxy_user_deleted, galaxy_us
er.purged AS galaxy_user_purged, galaxy_user.disk_usage AS galaxy_user_disk_usage, galaxy_user.active AS galaxy_user_active, galaxy_user.activation_token AS galaxy_user_a
ctivation_token
FROM galaxy_user
WHERE galaxy_user.email = %(email_1)s) AS anon_1]
[parameters: {‘email_1’: ‘admin@galaxy.org’}]
(Background on this error at: http://sqlalche.me/e/f405)
Waiting for database
Database connected
Starting cron
cron: started
Starting ProFTP
proftpd: started
Starting Galaxy reports webapp
reports: started
Starting nodejs
galaxy:galaxy_nodejs_proxy: started
Starting condor
condor: started
Starting slurmctld
Starting slurmd
Creating admin user admin with key fakekey and password password if not existing
==> /home/galaxy/logs/handler0.log <==
galaxy.workflow.scheduling_manager INFO 2020-12-17 18:52:14,638 No workflow schedulers plugin config file defined, using default scheduler.
galaxy.workflow.scheduling_manager DEBUG 2020-12-17 18:52:14,638 Starting workflow schedulers
galaxy.queue_worker INFO 2020-12-17 18:52:14,688 Binding and starting galaxy control worker for handler0
galaxy.queue_worker INFO 2020-12-17 18:52:14,722 Queuing async task rebuild_toolbox_search_index for handler0.
galaxy.model.database_heartbeat DEBUG 2020-12-17 18:52:14,808 handler0 is config watcher
galaxy.util.watcher DEBUG 2020-12-17 18:52:14,843 Watching for changes in directory (recursively): /galaxy-central/tool-data
galaxy.app INFO 2020-12-17 18:52:14,976 Galaxy app startup finished (21130.909 ms)
galaxy.web_stack INFO 2020-12-17 18:52:14,976 Galaxy server instance ‘handler0’ is running
galaxy.queue_worker INFO 2020-12-17 18:52:14,986 Instance ‘handler0’ received ‘rebuild_toolbox_search_index’ task, executing now.
galaxy.queue_worker DEBUG 2020-12-17 18:52:14,986 App is not a webapp, not building a search index

==> /home/galaxy/logs/handler1.log <==
galaxy.workflow.scheduling_manager INFO 2020-12-17 18:52:24,026 No workflow schedulers plugin config file defined, using default scheduler.
galaxy.workflow.scheduling_manager DEBUG 2020-12-17 18:52:24,026 Starting workflow schedulers
galaxy.queue_worker INFO 2020-12-17 18:52:24,063 Binding and starting galaxy control worker for handler1
galaxy.queue_worker INFO 2020-12-17 18:52:24,082 Queuing async task rebuild_toolbox_search_index for handler1.
galaxy.model.database_heartbeat DEBUG 2020-12-17 18:52:24,148 handler1 is config watcher
galaxy.util.watcher DEBUG 2020-12-17 18:52:24,190 Watching for changes in directory (recursively): /galaxy-central/tool-data
galaxy.app INFO 2020-12-17 18:52:24,233 Galaxy app startup finished (11560.530 ms)
galaxy.web_stack INFO 2020-12-17 18:52:24,234 Galaxy server instance ‘handler1’ is running
galaxy.queue_worker INFO 2020-12-17 18:52:24,263 Instance ‘handler1’ received ‘rebuild_toolbox_search_index’ task, executing now.
galaxy.queue_worker DEBUG 2020-12-17 18:52:24,263 App is not a webapp, not building a search index

==> /home/galaxy/logs/reports.log <==
galaxy.web.framework.base DEBUG 2020-12-17 18:52:21,580 Enabling ‘history’ controller, class: History
galaxy.web.framework.base DEBUG 2020-12-17 18:52:21,590 Enabling ‘users’ controller, class: Users
galaxy.web.framework.base DEBUG 2020-12-17 18:52:21,603 Enabling ‘tools’ controller, class: Tools
galaxy.webapps.util DEBUG 2020-12-17 18:52:21,609 Enabling ‘paste.httpexceptions’ middleware
galaxy.webapps.util DEBUG 2020-12-17 18:52:21,642 Enabling ‘RecursiveMiddleware’ middleware
galaxy.webapps.util DEBUG 2020-12-17 18:52:21,661 Enabling ‘ErrorMiddleware’ middleware
galaxy.webapps.util DEBUG 2020-12-17 18:52:21,670 Enabling ‘TransLogger’ middleware
galaxy.webapps.util DEBUG 2020-12-17 18:52:21,675 Enabling ‘XForwardedHostMiddleware’ middleware
Starting server in PID 563.
serving on http://127.0.0.1:9001

==> /home/galaxy/logs/slurmctld.log <==
[2020-12-17T18:52:43.624] No trigger state file (/tmp/slurm/trigger_state.old) to recover
[2020-12-17T18:52:43.624] _preserve_plugins: backup_controller not specified
[2020-12-17T18:52:43.624] Reinitializing job accounting state
[2020-12-17T18:52:43.624] cons_res: select_p_reconfigure
[2020-12-17T18:52:43.624] cons_res: select_p_node_init
[2020-12-17T18:52:43.624] cons_res: preparing for 1 partitions
[2020-12-17T18:52:43.624] Running as primary controller
[2020-12-17T18:52:43.641] No parameter for mcs plugin, default values set
[2020-12-17T18:52:43.641] mcs: MCSParameters = (null). ondemand set.
[2020-12-17T18:52:46.664] SchedulerParameters=default_queue_depth=100,max_rpc_cnt=0,max_sched_time=2,partition_job_depth=0,sched_max_job_start=0,sched_min_interval=2

==> /home/galaxy/logs/slurmd.log <==
[2020-12-17T18:52:44.740] error: Domain socket directory /var/spool/slurmd: No such file or directory
[2020-12-17T18:52:44.741] Message aggregation disabled
[2020-12-17T18:52:44.741] CPU frequency setting not configured for this node
[2020-12-17T18:52:44.839] slurmd version 17.11.2 started
[2020-12-17T18:52:44.856] slurmd started on Thu, 17 Dec 2020 18:52:44 +0000
[2020-12-17T18:52:44.859] CPUs=1 Boards=1 Sockets=1 Cores=1 Threads=1 Memory=985 TmpDisk=18275 Uptime=10758 CPUSpecList=(null) FeaturesAvail=(null) FeaturesActive=(null)

==> /home/galaxy/logs/uwsgi.log <==
galaxy.web_stack DEBUG 2020-12-17 18:52:26,867 [p:644,w:1,m:0] [MainThread] Calling postfork function:
galaxy.web_stack DEBUG 2020-12-17 18:52:26,870 [p:644,w:1,m:0] [MainThread] Calling postfork function: <function postfork_setup at 0x7fa776f5c2f0>
galaxy.web_stack INFO 2020-12-17 18:52:26,871 [p:644,w:1,m:0] [MainThread] Galaxy server instance ‘main.web.1’ is running
Starting server in PID 540.
serving on http://127.0.0.1:8080
serving on uwsgi://127.0.0.1:4001
galaxy.queue_worker INFO 2020-12-17 18:52:26,991 [p:644,w:1,m:0] [Thread-1] Instance ‘main.web.1’ received ‘rebuild_toolbox_search_index’ task, executing now.
galaxy.tools.search DEBUG 2020-12-17 18:52:26,991 [p:644,w:1,m:0] [Thread-1] Starting to build toolbox index.
galaxy.tools.search DEBUG 2020-12-17 18:52:27,113 [p:644,w:1,m:0] [Thread-1] Toolbox index finished (122.256 ms)
galaxy.tools.search DEBUG 2020-12-17 18:52:27,689 [p:647,w:2,m:0] [Thread-1] Toolbox index finished (836.592 ms)

==> /home/galaxy/logs/handler0.log <==
galaxy.model.database_heartbeat DEBUG 2020-12-17 18:53:14,860 handler0 is not config watcher

==> /home/galaxy/logs/handler1.log <==
galaxy.model.database_heartbeat DEBUG 2020-12-17 18:53:24,201 handler1 is not config watcher

==> /home/galaxy/logs/slurmctld.log <==
[2020-12-17T18:57:43.858] error: Could not open job state file /tmp/slurm/job_state: No such file or directory
[2020-12-17T18:57:43.859] error: NOTE: Trying backup state save file. Jobs may be lost!
[2020-12-17T18:57:43.859] No job state file (/tmp/slurm/job_state.old) found